#include <stdio.h>
int main(int argc, char **argv)
{
   FILE *file = fopen(argv[1], "rb");
   FILE *file2 = fopen(argv[2], "wb");
   if (file && file2) {
      int i;
      unsigned char data;
      int header = 0x440c9abd;
      int checksum=0;
      int size;
      int count=0x10;
      int version;

      fread(&size, 1, 4, file);
      fread(&version, 1, 4, file);
      fseek(file, 0x1d, SEEK_SET);

      for (i=0; i < 4; i++) {
         checksum += (version >> (i * 8)) & 0xFF;
      }

      fseek(file2, 0x10, SEEK_SET);
      while (!feof(file)) {
         data=fgetc(file);
         count++;
         checksum += (int) data;
         fputc((int) data, file2);
         if (count == (size - 0xd)) {
            break;
         }
      }
      fseek(file2, 0x0, SEEK_SET);
      fwrite(&header, 0x4, 1, file2);
      fwrite(&checksum, 0x4, 1, file2);
      fwrite(&count, 0x4, 1, file2);
      fwrite(&version, 0x4, 1, file2);
   } else {
      perror(argv[1]);
   }
   return 0;
}
